<?php
require __DIR__ . '/../vendor/autoload.php';
use Thrift\Transport\THttpClient;
use Thrift\Protocol\TBinaryProtocol;
use MyApp\User\UserServiceClient;
use MyApp\User\UserOption;

$transport = new THttpClient('localhost', 8888, 'user_service.php');
$protocol = new TBinaryProtocol($transport);
$client = new UserServiceClient($protocol);
$result = $client->findByIds([1], new UserOption());
var_dump($result);

